Distribution:   CCux
Packager:	Christian Wasem <wasem[at]ccux-linux.de>

Summary: 	Library for extracting extra information from image files
Name:		libexif
Version:	0.6.19
Release:	1
BuildArch:	i686
License:	GNU/GPL 
URL:		http://sourceforge.net/projects/libexif
Group:		System/Libraries
Source0: 	libexif-%{version}.tar.bz2 
Source1: 	libexif-docs.tar.gz
BuildRequires:	doxygen pkg-config

%description
Most digital cameras produce EXIF files, which are JPEG files with extra tags that contain information about the image.
The EXIF library allows you to parse an EXIF file and read the data from those tags. 
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep
%setup -q

# to avoid multilib conflicts, we toss in pre-generated docs
# and neuter make all in the docs dir
tar xzf %{SOURCE1}

%build
%configure --disable-static --disable-docs
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libexif
cp -R doc/doxygen-output/libexif-api.html .

iconv -f latin1 -t utf-8 < COPYING > COPYING.utf8; cp COPYING.utf8 COPYING
iconv -f latin1 -t utf-8 < README > README.utf8; cp README.utf8 README


%find_lang libexif-12

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f libexif-12.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_libdir}/libexif.so.*

%files devel
%defattr(-,root,root,-)
%doc libexif-api.html
%{_includedir}/libexif
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/libexif.pc

%changelog
* Thu Nov 26 2009 Christian Metzen <metzench@ccux-linux.de> 0.6.19-1
- Version update
* Thu Nov 26 2009 Christian Metzen <metzench@ccux-linux.de> 0.6.16-2
- rebuild
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.16-1
- Version Update
* Fri May 26 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.13-2
- redefined files list
* Fri Mar 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.13-1
- Version Update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 0.6.12-4
- Added patches
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 0.6.12-3
- Removed compat files
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 0.6.12-2
- Moved more files to devel package, removed wrong obsoletes tag
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.6.12-1
- Version Update to 0.6.12
* Wed Feb 02 2005 Christian Wasem <wasem[at]ccux-linux.de> 0.5.12-1
- update version
